"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    Attachment: function() {
        return Attachment;
    },
    attachmentClassName: function() {
        return attachmentClassName;
    },
    attachmentProgressBarClassName: function() {
        return attachmentProgressBarClassName;
    },
    attachmentProgressContainerClassName: function() {
        return attachmentProgressContainerClassName;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _reactcomponents = require("@fluentui/react-components");
const _reactaria = require("@fluentui/react-aria");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _Attachmentstyles = require("./Attachment.styles");
const attachmentClassName = 'fui-Attachment';
const attachmentProgressContainerClassName = `${attachmentClassName}__progress-container`;
const attachmentProgressBarClassName = `${attachmentClassName}__progress`;
const Attachment = /*#__PURE__*/ _react.forwardRef((props, ref)=>{
    const { actionable, className, children, disabled, onClick, progress, onKeyDown, onKeyUp, ...rest } = props;
    const attachmentBaseClass = (0, _Attachmentstyles.useAttachmentBaseStyles)();
    const classes = (0, _Attachmentstyles.useAttachmentStyles)();
    const buttonProps = (0, _reactaria.useARIAButtonProps)('div', {
        disabled,
        onClick,
        onKeyDown: onKeyDown,
        onKeyUp: onKeyUp
    });
    return /*#__PURE__*/ _react.createElement("div", {
        ref: ref,
        className: (0, _reactcomponents.mergeClasses)(attachmentClassName, attachmentBaseClass, actionable && classes.actionable, className),
        ...actionable && {
            'data-is-focusable': true,
            ...buttonProps
        },
        ...rest
    }, children, !isNaN(Number(progress)) && /*#__PURE__*/ _react.createElement("div", {
        className: (0, _reactcomponents.mergeClasses)(attachmentProgressContainerClassName, classes.progressContainer)
    }, /*#__PURE__*/ _react.createElement("div", {
        className: (0, _reactcomponents.mergeClasses)(classes.progressBar, attachmentProgressBarClassName),
        style: {
            width: `${progress}%`
        }
    })));
});
Attachment.displayName = 'Attachment';
