"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    AttachmentAction: function() {
        return AttachmentAction;
    },
    attachmentActionClassName: function() {
        return attachmentActionClassName;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _reactcomponents = require("@fluentui/react-components");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _AttachmentActionstyles = require("./AttachmentAction.styles");
const attachmentActionClassName = 'fui-AttachmentAction';
const AttachmentAction = /*#__PURE__*/ _react.forwardRef((props, ref)=>{
    const { className, disabled, disabledFocusable, children, onClick, onKeyUp, onKeyDown, ...rest } = props;
    const classes = (0, _AttachmentActionstyles.useAttachmentActionStyles)();
    const handleClick = _react.useCallback((e)=>{
        e.stopPropagation();
        e.preventDefault();
        onClick === null || onClick === void 0 ? void 0 : onClick(e);
    }, [
        onClick
    ]);
    const handleKeyUp = _react.useCallback((e)=>{
        if (e.key === 'Enter' || e.key === ' ') {
            e.stopPropagation();
        }
        onKeyUp === null || onKeyUp === void 0 ? void 0 : onKeyUp(e);
    }, [
        onKeyUp
    ]);
    const handleKeyDown = _react.useCallback((e)=>{
        if (e.key === 'Enter' || e.key === ' ') {
            e.stopPropagation();
        }
        onKeyDown === null || onKeyDown === void 0 ? void 0 : onKeyDown(e);
    }, [
        onKeyDown
    ]);
    return /*#__PURE__*/ _react.createElement(_reactcomponents.Button, {
        ref: ref,
        className: (0, _reactcomponents.mergeClasses)(attachmentActionClassName, classes.root, (disabled || disabledFocusable) && classes.disabled, className),
        appearance: "transparent",
        disabled: disabled,
        disabledFocusable: disabledFocusable,
        onClick: handleClick,
        onKeyDown: handleKeyDown,
        onKeyUp: handleKeyUp,
        ...rest
    }, children);
});
AttachmentAction.displayName = 'AttachmentAction';
