"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    v0Icon: function() {
        return v0Icon;
    },
    v9CustomSizeIcon: function() {
        return v9CustomSizeIcon;
    },
    v9DisabledCursor: function() {
        return v9DisabledCursor;
    },
    v9HoverClasses: function() {
        return v9HoverClasses;
    },
    v9Icon: function() {
        return v9Icon;
    }
});
const _reacticons = require("@fluentui/react-icons");
// class names from v0 - not imported as we do not want to keep depending on v0.
const iconClassNames = {
    filled: 'ui-icon__filled',
    outline: 'ui-icon__outline'
};
const v9HoverClasses = ()=>({
        [`& .${_reacticons.iconFilledClassName}`]: {
            display: 'none'
        },
        [`& .${_reacticons.iconRegularClassName}`]: {
            display: 'inline'
        },
        '&:hover': {
            [`& .${_reacticons.iconFilledClassName}`]: {
                display: 'inline'
            },
            [`& .${_reacticons.iconRegularClassName}`]: {
                display: 'none'
            }
        }
    });
const v9Icon = ()=>({
        // styles that allow to keep consistent size of v9 icon with v0 icon
        '& svg': {
            width: '100%',
            paddingBottom: '100%',
            // negative margin is necessary here for centering v9 icon
            // with v0 button, because of extra spaces that svg contains
            margin: '-4px 0 0 -4px',
            overflow: 'visible'
        },
        ...v9HoverClasses()
    });
const v9CustomSizeIcon = ()=>({
        '& svg': {
            overflow: 'visible'
        },
        ...v9HoverClasses()
    });
const v0Icon = ()=>({
        [`& .${iconClassNames.outline}`]: {
            display: 'block'
        },
        [`& .${iconClassNames.filled}`]: {
            display: 'none'
        },
        '&:hover': {
            [`& .${iconClassNames.outline}`]: {
                display: 'none'
            },
            [`& .${iconClassNames.filled}`]: {
                display: 'block'
            }
        }
    });
const v9DisabledCursor = ()=>({
        '&:disabled': {
            cursor: 'default',
            '&:hover': {
                cursor: 'default'
            },
            '&:hover:active': {
                cursor: 'default'
            }
        }
    });
