"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    Flex: function() {
        return Flex;
    },
    flexClassName: function() {
        return flexClassName;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _reactcomponents = require("@fluentui/react-components");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _Flexstyles = require("./Flex.styles");
const flexClassName = 'fui-Flex';
const Flex = /*#__PURE__*/ _react.forwardRef((props, ref)=>{
    const { children, column, fill, gap, hAlign, inline, padding, space, vAlign, wrap, className, ...rest } = props;
    const classes = (0, _Flexstyles.useFlexStyles)();
    const classMaps = _react.useMemo(()=>({
            alignItems: {
                start: classes.alignItemsFlexStart,
                center: classes.alignItemsCenter,
                end: classes.alignItemsFlexEnd,
                stretch: classes.alignItemsCenter
            },
            justifyContent: {
                start: classes.justifyContentFlexStart,
                center: classes.justifyContentCenter,
                end: classes.justifyContentFlexEnd,
                stretch: classes.justifyContentStretch
            },
            justifyContentSpace: {
                around: classes.justifyContentSpaceAround,
                between: classes.justifyContentSpaceBetween,
                evenly: classes.justifyContentSpaceEvenly
            },
            gapForColumnFlex: {
                'gap.smaller': classes.gapForColumnFlexSmaller,
                'gap.small': classes.gapForColumnFlexSmall,
                'gap.medium': classes.gapForColumnFlexMedium,
                'gap.large': classes.gapForColumnFlexLarge
            },
            gapRow: {
                'gap.smaller': classes.gapForRowFlexSmaller,
                'gap.small': classes.gapForRowFlexSmall,
                'gap.medium': classes.gapForRowFlexMedium,
                'gap.large': classes.gapForRowFlexLarge
            },
            paddings: {
                'padding.medium': classes.paddingMedium
            }
        }), [
        classes
    ]);
    const flexClasses = (0, _reactcomponents.mergeClasses)(flexClassName, classes.flex, inline && classes.inline, column && classes.column, hAlign && (column ? classMaps.alignItems[hAlign] : classMaps.justifyContent[hAlign]), vAlign && (column ? classMaps.justifyContent[vAlign] : classMaps.alignItems[vAlign]), space && classMaps.justifyContentSpace[space], wrap && classes.wrap, fill && classes.fill, gap && (column ? classMaps.gapForColumnFlex[gap] : classMaps.gapRow[gap]), padding && classMaps.paddings[padding], className);
    const content = _react.Children.map(children, (child)=>{
        var _child_type;
        // @ts-expect-error __isFlexItem is added to the React type property by N*
        const isFlexItemElement = child === null || child === void 0 ? void 0 : (_child_type = child.type) === null || _child_type === void 0 ? void 0 : _child_type.__isFlexItem;
        return isFlexItemElement ? /*#__PURE__*/ _react.cloneElement(child, {
            flexDirection: column ? 'column' : 'row'
        }) : child;
    });
    return /*#__PURE__*/ _react.createElement("div", {
        ref: ref,
        className: flexClasses,
        ...rest
    }, content);
});
Flex.displayName = 'Flex';
