"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "flexItem", {
    enumerable: true,
    get: function() {
        return flexItem;
    }
});
const ALIGN = {
    auto: {
        alignSelf: 'auto'
    },
    start: {
        alignSelf: 'flex-start'
    },
    end: {
        alignSelf: 'flex-end'
    },
    center: {
        alignSelf: 'center'
    },
    baseline: {
        alignSelf: 'baseline'
    },
    stretch: {
        alignSelf: 'stretch'
    }
};
const SIZE = {
    half: {
        flexBasis: '50%'
    },
    quarter: {
        flexBasis: '25%'
    },
    small: {
        flexBasis: '150px'
    },
    medium: {
        flexBasis: '200px'
    },
    large: {
        flexBasis: '300px'
    }
};
const align = (value)=>ALIGN[value];
const size = (value)=>SIZE[value];
const grow = (flexGrow)=>{
    if (flexGrow === true) {
        return {
            flexGrow: 1
        };
    } else if (flexGrow) {
        return {
            flexGrow
        };
    } else {
        return undefined;
    }
};
const shrink = (flexShrink)=>{
    if (typeof flexShrink === 'number') {
        return {
            flexShrink
        };
    } else if (flexShrink === false) {
        return {
            flexShrink: 0
        };
    } else {
        return undefined;
    }
};
const pushRow = ()=>({
        marginLeft: 'auto'
    });
const pushColumn = ()=>({
        marginTop: 'auto'
    });
const flexItem = {
    align,
    size,
    grow,
    shrink,
    pushRow,
    pushColumn
};
