"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "FormFieldShim", {
    enumerable: true,
    get: function() {
        return FormFieldShim;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _reactcomponents = require("@fluentui/react-components");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const FormFieldShim = /*#__PURE__*/ _react.forwardRef((props, ref)=>{
    const { errorMessage, required, control, label } = props;
    const fieldProps = {
        required
    };
    if (errorMessage && (control === null || control === void 0 ? void 0 : control.error) === 'true') {
        fieldProps.validationState = 'error';
        if (typeof errorMessage === 'object') {
            fieldProps.validationMessage = errorMessage.content;
        }
        if (typeof errorMessage === 'string') {
            fieldProps.validationMessage = errorMessage;
        }
    }
    if (label) {
        if (typeof label === 'object') {
            fieldProps.label = label.content;
        } else {
            fieldProps.label = label;
        }
    }
    const children = props.children || (control === null || control === void 0 ? void 0 : control.content);
    if (/*#__PURE__*/ _react.isValidElement(children)) {
        const child = children;
        // Use the Field's child render function to pass the field control props to the child
        fieldProps.children = (fieldControlProps)=>/*#__PURE__*/ _react.cloneElement(child, {
                ...fieldControlProps,
                ...child.props
            });
    } else {
        fieldProps.children = children;
    }
    const state = (0, _reactcomponents.useField_unstable)(fieldProps, ref);
    (0, _reactcomponents.useFieldStyles_unstable)(state);
    const context = (0, _reactcomponents.useFieldContextValues_unstable)(state);
    return (0, _reactcomponents.renderField_unstable)(state, context);
});
FormFieldShim.displayName = 'FormFieldShim';
