"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    GridShim: function() {
        return GridShim;
    },
    gridShimClassName: function() {
        return gridShimClassName;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _reactcomponents = require("@fluentui/react-components");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _Gridstyles = require("./Grid.styles");
const gridShimClassName = 'fui-Grid';
const GridShim = /*#__PURE__*/ _react.forwardRef((props, ref)=>{
    const { rows, columns, className, ...rest } = props;
    const classes = (0, _Gridstyles.useGridStyles)();
    const classMaps = _react.useMemo(()=>({
            rowsClasses: {
                1: classes.rows1,
                2: classes.rows2,
                3: classes.rows3
            },
            columnsClasses: {
                1: classes.columns1,
                2: classes.columns2,
                3: classes.columns3
            }
        }), [
        classes
    ]);
    const gridClasses = (0, _reactcomponents.mergeClasses)(gridShimClassName, classes.grid, !rows && !columns && classes.columnsDefault, rows && !columns && classes.onlyRows, rows && classMaps.rowsClasses[rows], columns && classMaps.columnsClasses[columns], className);
    return /*#__PURE__*/ _react.createElement("div", {
        ref: ref,
        className: gridClasses,
        ...rest
    });
});
GridShim.displayName = 'GridShim';
