"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    ItemLayout: function() {
        return ItemLayout;
    },
    itemLayoutClassName: function() {
        return itemLayoutClassName;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _jsxruntime = require("@fluentui/react-jsx-runtime/jsx-runtime");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _reactcomponents = require("@fluentui/react-components");
const _reactutilities = require("@fluentui/react-utilities");
const _ItemLayoutstyles = require("./ItemLayout.styles");
const itemLayoutClassName = 'fui-ItemLayout';
const ItemLayout = /*#__PURE__*/ _react.forwardRef((props, ref)=>{
    const state = {
        components: {
            root: 'div',
            contentWrapper: 'div',
            contentMedia: 'div',
            header: 'div',
            headerMedia: 'div',
            startMedia: 'div',
            endMedia: 'div'
        },
        root: _reactutilities.slot.always((0, _reactutilities.getIntrinsicElementProps)('div', {
            ...props,
            ref
        }), {
            elementType: 'div'
        }),
        contentMedia: _reactutilities.slot.optional(props.contentMedia, {
            elementType: 'div'
        }),
        contentWrapper: _reactutilities.slot.optional(props.contentWrapper, {
            renderByDefault: true,
            elementType: 'div'
        }),
        header: _reactutilities.slot.optional(props.header, {
            elementType: 'div'
        }),
        headerMedia: _reactutilities.slot.optional(props.headerMedia, {
            elementType: 'div'
        }),
        startMedia: _reactutilities.slot.optional(props.startMedia, {
            elementType: 'div'
        }),
        endMedia: _reactutilities.slot.optional(props.endMedia, {
            elementType: 'div'
        })
    };
    const styles = (0, _ItemLayoutstyles.useItemLayoutStyles)();
    state.root.className = (0, _reactcomponents.mergeClasses)(itemLayoutClassName, styles.root, state.root.className);
    if (state.contentWrapper) {
        state.contentWrapper.className = (0, _reactcomponents.mergeClasses)(styles.contentWrapper, state.contentWrapper.className);
    }
    if (state.contentMedia) {
        state.contentMedia.className = (0, _reactcomponents.mergeClasses)(styles.contentMedia, state.contentMedia.className);
    }
    if (state.header) {
        state.header.className = (0, _reactcomponents.mergeClasses)(styles.header, state.header.className);
    }
    if (state.headerMedia) {
        state.headerMedia.className = (0, _reactcomponents.mergeClasses)(styles.headerMedia, state.headerMedia.className);
    }
    if (state.startMedia) {
        state.startMedia.className = (0, _reactcomponents.mergeClasses)(styles.startMedia, state.startMedia.className);
    }
    if (state.endMedia) {
        state.endMedia.className = (0, _reactcomponents.mergeClasses)(styles.endMedia, state.endMedia.className);
    }
    (0, _reactutilities.assertSlots)(state);
    return /*#__PURE__*/ (0, _jsxruntime.jsxs)(state.root, {
        children: [
            state.startMedia && /*#__PURE__*/ (0, _jsxruntime.jsx)(state.startMedia, {}),
            state.header && /*#__PURE__*/ (0, _jsxruntime.jsx)(state.header, {}),
            state.headerMedia && /*#__PURE__*/ (0, _jsxruntime.jsx)(state.headerMedia, {}),
            state.contentWrapper && /*#__PURE__*/ (0, _jsxruntime.jsx)(state.contentWrapper, {
                children: state.root.children
            }),
            state.contentMedia && /*#__PURE__*/ (0, _jsxruntime.jsx)(state.contentMedia, {}),
            state.endMedia && /*#__PURE__*/ (0, _jsxruntime.jsx)(state.endMedia, {})
        ]
    });
});
ItemLayout.displayName = 'ItemLayout';
