"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "useList_unstable", {
    enumerable: true,
    get: function() {
        return useList_unstable;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _reactutilities = require("@fluentui/react-utilities");
const _reacttabster = require("@fluentui/react-tabster");
const _useListSelection = require("../hooks/useListSelection");
const DEFAULT_ROOT_EL_TYPE = 'ul';
const useList_unstable = (props, ref)=>{
    const { layout = 'vertical', navigable = false, selectable = false, selectionMode = 'single', selectedItems, defaultSelectedItems, as, onSelectionChange, truncateContent = false, truncateHeader = false } = props;
    const arrowNavigationAttributes = (0, _reacttabster.useArrowNavigationGroup)({
        axis: layout === 'grid' ? 'grid-linear' : 'both',
        memorizeCurrent: true
    });
    const [selectionState, setSelectionState] = (0, _reactutilities.useControllableState)({
        state: selectedItems,
        defaultState: defaultSelectedItems,
        initialState: []
    });
    const onChange = (0, _reactutilities.useEventCallback)((e, data)=>{
        const selectedItemsAsArray = Array.from(data.selectedItems);
        setSelectionState(selectedItemsAsArray);
        onSelectionChange === null || onSelectionChange === void 0 ? void 0 : onSelectionChange(e, {
            selectedItems: selectedItemsAsArray
        });
    });
    const selection = (0, _useListSelection.useListSelection)({
        onSelectionChange: onChange,
        selectionMode,
        selectedItems: selectionState,
        defaultSelectedItems
    });
    return {
        components: {
            root: DEFAULT_ROOT_EL_TYPE
        },
        root: _reactutilities.slot.always((0, _reactutilities.getIntrinsicElementProps)(DEFAULT_ROOT_EL_TYPE, {
            ref,
            ...navigable && {
                role: 'menu'
            },
            ...selectable && {
                role: 'listbox',
                'aria-multiselectable': selectionMode === 'multiselect' ? true : undefined
            },
            ...arrowNavigationAttributes,
            ...props
        }), {
            elementType: DEFAULT_ROOT_EL_TYPE
        }),
        layout,
        // context:
        navigable,
        as: as || DEFAULT_ROOT_EL_TYPE,
        truncateContent,
        truncateHeader,
        // only pass down selection state if its handled internally, otherwise just report the events
        selection: selectable ? selection : undefined
    };
};
