"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    listItemClassNames: function() {
        return listItemClassNames;
    },
    useListItemStyles_unstable: function() {
        return useListItemStyles_unstable;
    }
});
const _react = require("@griffel/react");
const listItemClassNames = {
    root: 'fui-ListItem',
    media: 'fui-ListItem__media',
    header: 'fui-ListItem__header',
    contentWrapper: 'fui-ListItem__contentWrapper',
    headerMedia: 'fui-ListItem__headerMedia',
    contentMedia: 'fui-ListItem__contentMedia',
    endMedia: 'fui-ListItem__endMedia'
};
const useRootBaseStyles = /*#__PURE__*/ (0, _react.__resetStyles)("rn7e01x", null, [
    ".rn7e01x{padding:0 10px;margin:0;text-indent:0;list-style-type:none;}",
    ".rn7e01x[data-fui-focus-visible]{outline:var(--strokeWidthThick) solid var(--colorStrokeFocus2);border-radius:var(--borderRadiusMedium);}"
]);
/**
 * Styles for the root slot
 */ const useStyles = /*#__PURE__*/ (0, _react.__styles)({
    contentWrapper: {
        Be2twd7: "fy9rknc"
    },
    contentWrapperWithoutMedia: {
        Bw0ie65: "fsyjsko"
    },
    truncate: {
        B68tc82: 0,
        Bmxbyg5: 0,
        Bpg54ce: "f1a3p1vp",
        j4b8c3: "fv6wr3j",
        ygn44y: "f1cmbuwj"
    },
    rootSelected: {
        De3pzq: "f1nfm20t"
    },
    rootClickable: {
        Bceei9c: "f1k6fduh",
        Jwef8y: "f1knas48"
    }
}, {
    d: [
        ".fy9rknc{font-size:var(--fontSizeBase200);}",
        ".fsyjsko{grid-column-end:4;}",
        [
            ".f1a3p1vp{overflow:hidden;}",
            {
                p: -1
            }
        ],
        ".fv6wr3j{text-wrap:nowrap;}",
        ".f1cmbuwj{text-overflow:ellipsis;}",
        ".f1nfm20t{background-color:var(--colorNeutralBackground1Selected);}",
        ".f1k6fduh{cursor:pointer;}"
    ],
    h: [
        ".f1knas48:hover{background-color:var(--colorNeutralBackground1Hover);}"
    ]
});
const useListItemStyles_unstable = (state)=>{
    'use no memo';
    const rootBaseStyles = useRootBaseStyles();
    const styles = useStyles();
    state.root.className = (0, _react.mergeClasses)(listItemClassNames.root, rootBaseStyles, (state.selectable || state.navigable) && styles.rootClickable, state.selected && styles.rootSelected, state.root.className);
    if (state.header) {
        var _state_header;
        state.header.className = (0, _react.mergeClasses)(state.truncateHeader && styles.truncate, (_state_header = state.header) === null || _state_header === void 0 ? void 0 : _state_header.className);
    }
    if (state.contentWrapper) {
        var _state_contentWrapper;
        state.contentWrapper.className = (0, _react.mergeClasses)(styles.contentWrapper, state.truncateContent && styles.truncate, !state.contentMedia && styles.contentWrapperWithoutMedia, (_state_contentWrapper = state.contentWrapper) === null || _state_contentWrapper === void 0 ? void 0 : _state_contentWrapper.className);
    }
    return state;
};
