"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    StyledText: function() {
        return StyledText;
    },
    styledTextClassName: function() {
        return styledTextClassName;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _jsxruntime = require("@fluentui/react-jsx-runtime/jsx-runtime");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _reactcomponents = require("@fluentui/react-components");
const _StyledTextstyles = require("./StyledText.styles");
const styledTextClassName = 'fui-StyledText';
const sizeMap = {
    '100': 'base100',
    '200': 'base200',
    '300': 'base300',
    '400': 'base400',
    '500': 'base500',
    '600': 'base600',
    '700': 'hero700',
    smaller: 'base100',
    small: 'base200',
    medium: 'base300',
    large: 'base400',
    large500: 'base500',
    larger: 'base600',
    largest: 'hero700'
};
const StyledText = /*#__PURE__*/ _react.forwardRef((props, ref)=>{
    const { align, atMention, disabled, error, important, success, temporary, timestamp, truncate, weight, wrap = true } = props;
    const dir = typeof props.children === 'string' ? 'auto' : undefined;
    const sizeStyles = (0, _StyledTextstyles.useSizeStyles)();
    const weightStyles = (0, _StyledTextstyles.useWeightStyles)();
    const styles = (0, _StyledTextstyles.useStyles)();
    const size = props.size ? sizeMap[props.size] : props.size;
    const RootSlot = _reactcomponents.slot.always((0, _reactcomponents.getIntrinsicElementProps)('span', {
        ref,
        ...props,
        dir,
        className: (0, _reactcomponents.mergeClasses)(styledTextClassName, size && sizeStyles[size], weight && weightStyles[weight], wrap === false && styles.nowrap, truncate && styles.truncate, align === 'center' && styles.alignCenter, align === 'end' && styles.alignEnd, align === 'justify' && styles.alignJustify, atMention && styles.mention, atMention === 'me' && styles.mentionMe, disabled && styles.disabled, error && styles.error, important && styles.important, success && styles.success, temporary && styles.temporary, timestamp && styles.timestamp, props.className)
    }), {
        elementType: 'span'
    });
    return /*#__PURE__*/ (0, _jsxruntime.jsx)(RootSlot, {});
});
StyledText.displayName = 'StyledText';
