"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    Video: function() {
        return Video;
    },
    videoClassName: function() {
        return videoClassName;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _reactcomponents = require("@fluentui/react-components");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _Videostyles = require("./Video.styles");
const videoClassName = 'fui-Video';
const Video = /*#__PURE__*/ _react.forwardRef((props, ref)=>{
    'use no memo';
    const { className, muted, ...rest } = props;
    const videoRef = _react.useRef();
    const classes = (0, _Videostyles.useVideoStyles)();
    _react.useEffect(()=>{
        // this is a workaround for a potential memory leak in Chromium which retains a Detached HTMLVideoElement when <video autoplay> is unmounted
        // https://bugs.chromium.org/p/chromium/issues/detail?id=969049
        return ()=>{
            if (videoRef === null || videoRef === void 0 ? void 0 : videoRef.current) {
                // we want to perform the cleanup on the latest element rendered
                // eslint-disable-next-line react-hooks/exhaustive-deps
                videoRef.current.src = '';
            }
        };
    }, [
        videoRef
    ]);
    _react.useEffect(()=>{
        // React doesn't guarantee that props will be set:
        // https://github.com/facebook/react/issues/10389
        if (videoRef.current) {
            videoRef.current.muted = !!muted;
        }
    }, [
        muted
    ]);
    return /*#__PURE__*/ _react.createElement("video", {
        ref: (0, _reactcomponents.useMergedRefs)(ref, videoRef),
        role: "application",
        className: (0, _reactcomponents.mergeClasses)(videoClassName, classes.root, className),
        controls: true,
        autoPlay: false,
        muted: muted,
        ...rest
    });
});
Video.displayName = 'Video';
