import { mergeClasses } from '@fluentui/react-components';
import { useARIAButtonProps } from '@fluentui/react-aria';
import * as React from 'react';
import { useAttachmentBaseStyles, useAttachmentStyles } from './Attachment.styles';
export const attachmentClassName = 'fui-Attachment';
export const attachmentProgressContainerClassName = `${attachmentClassName}__progress-container`;
export const attachmentProgressBarClassName = `${attachmentClassName}__progress`;
export const Attachment = /*#__PURE__*/ React.forwardRef((props, ref)=>{
    const { actionable, className, children, disabled, onClick, progress, onKeyDown, onKeyUp, ...rest } = props;
    const attachmentBaseClass = useAttachmentBaseStyles();
    const classes = useAttachmentStyles();
    const buttonProps = useARIAButtonProps('div', {
        disabled,
        onClick,
        onKeyDown: onKeyDown,
        onKeyUp: onKeyUp
    });
    return /*#__PURE__*/ React.createElement("div", {
        ref: ref,
        className: mergeClasses(attachmentClassName, attachmentBaseClass, actionable && classes.actionable, className),
        ...actionable && {
            'data-is-focusable': true,
            ...buttonProps
        },
        ...rest
    }, children, !isNaN(Number(progress)) && /*#__PURE__*/ React.createElement("div", {
        className: mergeClasses(attachmentProgressContainerClassName, classes.progressContainer)
    }, /*#__PURE__*/ React.createElement("div", {
        className: mergeClasses(classes.progressBar, attachmentProgressBarClassName),
        style: {
            width: `${progress}%`
        }
    })));
});
Attachment.displayName = 'Attachment';
