import { renderField_unstable, useFieldContextValues_unstable, useFieldStyles_unstable, useField_unstable } from '@fluentui/react-components';
import * as React from 'react';
export const FormFieldShim = /*#__PURE__*/ React.forwardRef((props, ref)=>{
    const { errorMessage, required, control, label } = props;
    const fieldProps = {
        required
    };
    if (errorMessage && (control === null || control === void 0 ? void 0 : control.error) === 'true') {
        fieldProps.validationState = 'error';
        if (typeof errorMessage === 'object') {
            fieldProps.validationMessage = errorMessage.content;
        }
        if (typeof errorMessage === 'string') {
            fieldProps.validationMessage = errorMessage;
        }
    }
    if (label) {
        if (typeof label === 'object') {
            fieldProps.label = label.content;
        } else {
            fieldProps.label = label;
        }
    }
    const children = props.children || (control === null || control === void 0 ? void 0 : control.content);
    if (/*#__PURE__*/ React.isValidElement(children)) {
        const child = children;
        // Use the Field's child render function to pass the field control props to the child
        fieldProps.children = (fieldControlProps)=>/*#__PURE__*/ React.cloneElement(child, {
                ...fieldControlProps,
                ...child.props
            });
    } else {
        fieldProps.children = children;
    }
    const state = useField_unstable(fieldProps, ref);
    useFieldStyles_unstable(state);
    const context = useFieldContextValues_unstable(state);
    return renderField_unstable(state, context);
});
FormFieldShim.displayName = 'FormFieldShim';
