import { mergeClasses } from '@fluentui/react-components';
import * as React from 'react';
import { useGridStyles } from './Grid.styles';
export const gridShimClassName = 'fui-Grid';
export const GridShim = /*#__PURE__*/ React.forwardRef((props, ref)=>{
    const { rows, columns, className, ...rest } = props;
    const classes = useGridStyles();
    const classMaps = React.useMemo(()=>({
            rowsClasses: {
                1: classes.rows1,
                2: classes.rows2,
                3: classes.rows3
            },
            columnsClasses: {
                1: classes.columns1,
                2: classes.columns2,
                3: classes.columns3
            }
        }), [
        classes
    ]);
    const gridClasses = mergeClasses(gridShimClassName, classes.grid, !rows && !columns && classes.columnsDefault, rows && !columns && classes.onlyRows, rows && classMaps.rowsClasses[rows], columns && classMaps.columnsClasses[columns], className);
    return /*#__PURE__*/ React.createElement("div", {
        ref: ref,
        className: gridClasses,
        ...rest
    });
});
GridShim.displayName = 'GridShim';
