import * as React from 'react';
import { mergeClasses } from '@fluentui/react-components';
export const primitiveClassName = 'fui-Primitive';
export const Primitive = /*#__PURE__*/ React.forwardRef((props, ref)=>{
    const { as: Component = 'div', ...rest } = props;
    const dir = typeof props.children === 'string' ? 'auto' : undefined;
    const className = mergeClasses(primitiveClassName, props.className);
    return /*#__PURE__*/ React.createElement(Component, {
        dir: dir,
        ...rest,
        className: className,
        ref: ref
    });
});
Primitive.displayName = 'Primitive';
