import { mergeClasses } from '@fluentui/react-components';
import * as React from 'react';
import { useSegmentStyles } from './Segment.styles';
export const segmentClassName = 'fui-Segment';
export const Segment = /*#__PURE__*/ React.forwardRef((props, ref)=>{
    const { children, className, ...rest } = props;
    const classes = useSegmentStyles();
    const segmentClasses = mergeClasses(segmentClassName, classes.segment, className);
    return /*#__PURE__*/ React.createElement("div", {
        ref: ref,
        className: segmentClasses,
        ...rest
    }, children);
});
Segment.displayName = 'Segment';
