  import { jsx as _jsx } from "@fluentui/react-jsx-runtime/jsx-runtime";
import * as React from 'react';
import { getIntrinsicElementProps, mergeClasses, slot } from '@fluentui/react-components';
import { useSizeStyles, useStyles, useWeightStyles } from './StyledText.styles';
export const styledTextClassName = 'fui-StyledText';
const sizeMap = {
    '100': 'base100',
    '200': 'base200',
    '300': 'base300',
    '400': 'base400',
    '500': 'base500',
    '600': 'base600',
    '700': 'hero700',
    smaller: 'base100',
    small: 'base200',
    medium: 'base300',
    large: 'base400',
    large500: 'base500',
    larger: 'base600',
    largest: 'hero700'
};
export const StyledText = /*#__PURE__*/ React.forwardRef((props, ref)=>{
    const { align, atMention, disabled, error, important, success, temporary, timestamp, truncate, weight, wrap = true } = props;
    const dir = typeof props.children === 'string' ? 'auto' : undefined;
    const sizeStyles = useSizeStyles();
    const weightStyles = useWeightStyles();
    const styles = useStyles();
    const size = props.size ? sizeMap[props.size] : props.size;
    const RootSlot = slot.always(getIntrinsicElementProps('span', {
        ref,
        ...props,
        dir,
        className: mergeClasses(styledTextClassName, size && sizeStyles[size], weight && weightStyles[weight], wrap === false && styles.nowrap, truncate && styles.truncate, align === 'center' && styles.alignCenter, align === 'end' && styles.alignEnd, align === 'justify' && styles.alignJustify, atMention && styles.mention, atMention === 'me' && styles.mentionMe, disabled && styles.disabled, error && styles.error, important && styles.important, success && styles.success, temporary && styles.temporary, timestamp && styles.timestamp, props.className)
    }), {
        elementType: 'span'
    });
    return /*#__PURE__*/ _jsx(RootSlot, {});
});
StyledText.displayName = 'StyledText';
